Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.common
Class ResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.common.ResourceException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

Direct Known Subclasses:
  ConnectDeadException, ConnectDisabledException

public class ResourceException
extends weblogic.utils.NestedException

Class for ResourceExceptions.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ResourceException()` Constructs a Resource Exception.
`ResourceException(String s)` Constructs a ResourceException with the specified message.
`ResourceException(String s, Throwable t)` Constructs a Resource Exception with the specified message and nested exception.
`ResourceException(Throwable t)` Constructs a Resource Exception with the specified nested exception.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceException

    public ResourceException()

  Constructs a Resource Exception. A ResourceException indicates that no resource is currently available.

### ResourceException

    public ResourceException(String s)

  Constructs a ResourceException with the specified message. A ResourceException indicates that no resource is currently available.

### ResourceException

    public ResourceException(String s,
                             Throwable t)

  Constructs a Resource Exception with the specified message and nested exception. A ResourceException indicates that no resource is currently available.

### ResourceException

    public ResourceException(Throwable t)

  Constructs a Resource Exception with the specified nested exception. A ResourceException indicates that no resource is currently available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD